Maemo‎ > ‎MyContacts‎ > ‎

Install

Repositories

There are MyContacts packages on all 3 repositories (extras, extras-devel, extras-testing). You will find the latest release on extras-devel but most of the time the stable release will be on extras.

InstallingOption #1: use application manager (extras version)
Just start application manager, hit the update button, select "download" and find mycontacts. It is by far the easiest way and it will install all the missing dependencies (libqtm-contacts). The one downside is that it will install an old version but should be your first attempt anyway because it is supposedly the most "stable" version.

Option #2: enable extras-testing or extras-devel and use application manager
You will need to enable extras-testing or extras-devel on the application manager. This will install the latest release available (not the one that passed the community testing)
Start application manager, hit the update button, select "download" and find mycontacts.

Option #3: download deb package (no need to enable extras-devel or extras-testing)
Before you can install mycontacts using the deb file you MUST install the Qt Mobility Contacts package:
1. using the application manager install "rootsh"
2. start the x-terminal (you will find an icon for it on the applications menu)
3. type each one of the lines on the code section bellow followed by the enter key:
Code:
sudo gainroot
apt-get update
apt-get install libqtm-contacts
4. download the deb package:
"stable version":  approved by the community testing (0.9.2) or;
"latest version": testing version not approved by the community testing.

Note: It is not necessary to enable extras-devel or extras-testing to install mycontacts using this option.


Option #4: apt-get
Until the problem with extras is solved this option will only work if you enable extras-devel or extras-testing.
1. using the application manager install "rootsh"
2. start the x-terminal (you will find an icon for it on the applications menu)
3. type each one of the lines on the code section bellow followed by the enter key:
Code:
sudo gainroot
apt-get update
apt-get install libqtm-contacts mycontacts
Note: This option will install the old version or the latest version depending on what repositories you have enabled.
The latest version it is not on extras yet so you can only install it if you have extras-testing or extras-devel enabled during the the process.


Comments